org.apache.avro.path

## Class TracingAvroTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.avro.AvroRuntimeException
        - - org.apache.avro.AvroTypeException
          - - org.apache.avro.path.TracingAvroTypeException

All Implemented Interfaces:
  Serializable, PathTracingException<AvroTypeException>

    public class TracingAvroTypeException
    extends AvroTypeException
    implements PathTracingException<AvroTypeException>

an `AvroTypeException` with extra fields used to trace back the path to a bad value through an object graph

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TracingAvroTypeException(AvroTypeException cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AvroTypeException` `summarize(Schema root)` produces a user-facing exception to be thrown back out to user code
`void` `tracePath(PathElement step)` appends a path element to the trace.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TracingAvroTypeException

    public TracingAvroTypeException(AvroTypeException cause)

### Method Detail

#### tracePath

    public void tracePath(PathElement step)

Description copied from interface: `PathTracingException`
appends a path element to the trace. expected to be called in reverse-order as the exception bubbles up the stack

Specified by:
  `tracePath` in interface `PathTracingException<AvroTypeException>`
Parameters:
  `step` - an AvroPath step tracing back from the location of the original exception towards the root of the data graph

#### summarize

    public AvroTypeException summarize(Schema root)

Description copied from interface: `PathTracingException`
produces a user-facing exception to be thrown back out to user code

Specified by:
  `summarize` in interface `PathTracingException<AvroTypeException>`
Parameters:
  `root` - the root object for the operation that generated the exception
Returns:
  an exception